- Qt 5.15
- Qt OpenGL
- C++ Classes
- QGLContext
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QGLContext

The following members of class QGLContext are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QGLContext(const QGLFormat &format, QPaintDevice *device)

## Member Function Documentation

### QGLContext::QGLContext(const QGLFormat &format, QPaintDevice *device)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Constructs an OpenGL context for the given paint device, which can be a widget or a pixmap. The format specifies several display options for the context.

If the underlying OpenGL/Window system cannot satisfy all the features requested in format, the nearest subset of features will be used. After creation, the format() method will return the actual format obtained.

Note that after a QGLContext object has been constructed, create() must be called explicitly to create the actual OpenGL context. The context will be invalid if it was not possible to obtain a GL context at all.